Check Positive, Negative or Zero
# In this program, we input a number
# check if the number is positive or
# negative or zero and display
# an appropriate message

num = as.double(readline(prompt="Enter a number: "))
if(num > 0) {
    print("Positive number")
} else {
    if(num == 0) {
        print("Zero")
    } else {
        print("Negative number")
    }
}
Output 1

Enter a number: -9.6
[1] "Negative number"
Output 2

Enter a number: 2
[1] "Positive number"